
<?php

/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */

// List of pages and metadata
define("PAGES", [
    "home" => [
        "title" => "Home",
        "navbar" => true,
        "icon" => "fas fa-home"
    ],
    "machines" => [
        "title" => "Machines",
        "navbar" => true,
        "icon" => "fas fa-desktop",
        "styles" => [
            "static/css/datatables.min.css",
            "static/css/tables.css"
        ],
        "scripts" => [
            "static/js/datatables.min.js",
            "static/js/machines.js"
        ]
    ],
    "clients" => [
        "title" => "Clients",
        "navbar" => (empty($SETTINGS['apis']['invoiceninja']['token']) ? true : false),
        "icon" => "fas fa-users",
        "styles" => [
            "static/css/datatables.min.css",
            "static/css/tables.css"
        ],
        "scripts" => [
            "static/js/datatables.min.js",
            "static/js/clients.js"
        ]
    ],
    "404" => [
        "title" => "404 error"
    ],
    "editmachine" => [
        "title" => "Edit Machine"
    ],
    "viewmachine" => [
        "title" => "View Machine"
    ],
    "addevent" => [
        "title" => "Add Event"
    ],
    "editcomponent" => [
        "title" => "Edit Component"
    ],
    "editclient" => [
        "title" => "Edit Client"
    ],
]);